@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  portal-tools-soy-builder startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and PORTAL_TOOLS_SOY_BUILDER_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\com.liferay.portal.tools.soy.builder-3.0.3.jar;%APP_HOME%\lib\soy-2015-04-10.jar;%APP_HOME%\lib\plexus-build-api-0.0.7.jar;%APP_HOME%\lib\ant-1.9.7.jar;%APP_HOME%\lib\maven-artifact-3.2.5.jar;%APP_HOME%\lib\maven-core-3.2.5.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\guice-3.0.jar;%APP_HOME%\lib\guice-assistedinject-3.0.jar;%APP_HOME%\lib\guice-multibindings-3.0.jar;%APP_HOME%\lib\guava-17.0.jar;%APP_HOME%\lib\asm-5.0.3.jar;%APP_HOME%\lib\asm-commons-5.0.3.jar;%APP_HOME%\lib\asm-util-5.0.3.jar;%APP_HOME%\lib\asm-analysis-5.0.3.jar;%APP_HOME%\lib\icu4j-51.1.jar;%APP_HOME%\lib\args4j-2.0.26.jar;%APP_HOME%\lib\jsr305-2.0.3.jar;%APP_HOME%\lib\maven-model-3.2.5.jar;%APP_HOME%\lib\maven-settings-3.2.5.jar;%APP_HOME%\lib\maven-settings-builder-3.2.5.jar;%APP_HOME%\lib\maven-repository-metadata-3.2.5.jar;%APP_HOME%\lib\maven-model-builder-3.2.5.jar;%APP_HOME%\lib\maven-aether-provider-3.2.5.jar;%APP_HOME%\lib\aether-impl-1.0.0.v20140518.jar;%APP_HOME%\lib\aether-api-1.0.0.v20140518.jar;%APP_HOME%\lib\aether-util-1.0.0.v20140518.jar;%APP_HOME%\lib\org.eclipse.sisu.plexus-0.3.0.M1.jar;%APP_HOME%\lib\sisu-guice-3.2.3-no_aop.jar;%APP_HOME%\lib\plexus-interpolation-1.21.jar;%APP_HOME%\lib\plexus-classworlds-2.5.2.jar;%APP_HOME%\lib\plexus-component-annotations-1.5.5.jar;%APP_HOME%\lib\plexus-sec-dispatcher-1.3.jar;%APP_HOME%\lib\aopalliance-1.0.jar;%APP_HOME%\lib\cglib-2.2.1-v20090111.jar;%APP_HOME%\lib\asm-tree-5.0.3.jar;%APP_HOME%\lib\aether-spi-1.0.0.v20140518.jar;%APP_HOME%\lib\cdi-api-1.0.jar;%APP_HOME%\lib\org.eclipse.sisu.inject-0.3.0.M1.jar;%APP_HOME%\lib\plexus-cipher-1.4.jar;%APP_HOME%\lib\asm-3.1.jar;%APP_HOME%\lib\jsr250-api-1.0.jar;%APP_HOME%\lib\plexus-utils-3.0.20.jar;%APP_HOME%\lib\maven-plugin-api-3.2.5.jar

@rem Execute portal-tools-soy-builder
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %PORTAL_TOOLS_SOY_BUILDER_OPTS%  -classpath "%CLASSPATH%" com.liferay.portal.tools.soy.builder.SoyBuilder %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable PORTAL_TOOLS_SOY_BUILDER_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%PORTAL_TOOLS_SOY_BUILDER_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
